<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Category;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../../_inc.php';

$entry = new Entry;
$kinds = $entry->listKinds();
$selected_kind = $kinds[0];

$date = new \DateTime;
$date->setTimestamp(time());
$default_date = $date;

$default_number = "1";

$cat = new Category;
$cats = $cat->listAll();
$selected_cat = $cats[0]->id;

$csrf_key = 'add_entry';

if (f('save'))
{
  $selected_kind = f('kind');
  $default_date = f('date_entree');
  $default_number = f('number');
  $selected_cat = f('category_id');

  if ($form->check($csrf_key) && !$form->hasErrors())
  {
    try
  	{
      $eqmt = new Equipment;
  		$eqmt_id = $eqmt->add([
  			'category_id' => (int) f('category_id'),
        'number_of_equipments' => (int) f('number'),
        'designation' => ucfirst(strtolower(f('designation'))),
  		]);
      $entry->add([
        'kind' => f('kind'),
        'number_of_equipments' => (int) f('number'),
        'equipment_id' => $eqmt_id,
        'date_of_entry' => f('date_entree'),
      ]);
  		Utils::redirect(PLUGIN_URL . 'entrees/definitives/index.php');
  	}
  	catch (\RuntimeException $e)
  	{
  		if (strstr($e->getMessage(), 'UNIQUE constraint failed'))
  		{
  			$form->addError('Un matériel avec cette désignation est déjà répertorié.');
  		} else
  		{
  			$form->addError($e->getMessage());
  		}
  	}
  }
}

$cancel_link = PLUGIN_URL . 'entrees/definitives/index.php';

$tpl->assign(compact('kinds', 'date', 'cats', 'selected_kind', 'default_date', 'default_number', 'selected_cat', 'cancel_link', 'csrf_key'));

$tpl->display(PLUGIN_ROOT . '/templates/entrees/definitives/non_repertorie.tpl');
