CREATE TABLE IF NOT EXISTS plugin_materiels_category (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	name                 varchar(100) NOT NULL,
	CONSTRAINT u_category_name UNIQUE ( name )
);

CREATE TABLE IF NOT EXISTS plugin_materiels_location (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	name                 varchar(100) NOT NULL,
	CONSTRAINT u_location_name UNIQUE ( name )
);

CREATE TABLE IF NOT EXISTS plugin_materiels_equipment (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	category_id          integer NOT NULL,
	localisation_id      integer NOT NULL,
	number_of_equipments integer NOT NULL,
	designation          varchar(255) NOT NULL,
	CONSTRAINT u_equipment_designation UNIQUE ( designation ),
	FOREIGN KEY ( category_id ) REFERENCES plugin_materiels_category( id ) ON DELETE RESTRICT ON UPDATE CASCADE,
	FOREIGN KEY ( localisation_id ) REFERENCES plugin_materiels_location( id ) ON DELETE RESTRICT ON UPDATE CASCADE
);

CREATE TABLE IF NOT EXISTS plugin_materiels_entry (
 	id                   integer NOT NULL  PRIMARY KEY autoincrement,
 	kind                 varchar(20) NOT NULL,
	number_of_equipments integer NOT NULL,
 	equipment_id         integer NOT NULL,
 	date_of_entry        date NOT NULL,
 	FOREIGN KEY ( equipment_id ) REFERENCES plugin_materiels_equipment( id ) ON DELETE RESTRICT ON UPDATE CASCADE
);

CREATE TABLE IF NOT EXISTS plugin_materiels_temporary_entry (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	kind                 varchar(20) NOT NULL,
	number_of_equipments integer NOT NULL,
	equipment_id         integer NOT NULL,
	start_date           date NOT NULL,
	end_date             date,
	FOREIGN KEY ( equipment_id ) REFERENCES plugin_materiels_equipment( id ) ON DELETE RESTRICT ON UPDATE CASCADE
);

CREATE TABLE IF NOT EXISTS plugin_materiels_output (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	kind                 varchar(20) NOT NULL,
	number_of_equipments integer NOT NULL,
	equipment_id         integer NOT NULL,
	output_date          date NOT NULL,
	FOREIGN KEY ( equipment_id ) REFERENCES plugin_materiels_entry( equipment_id ) ON DELETE RESTRICT ON UPDATE CASCADE
);

CREATE TABLE IF NOT EXISTS plugin_materiels_temporary_output (
	id                   integer NOT NULL  PRIMARY KEY autoincrement,
	kind                 varchar(20) NOT NULL,
	number_of_equipments integer NOT NULL,
	equipment_id         integer NOT NULL,
	start_date           date NOT NULL,
	end_date             date,
	FOREIGN KEY ( equipment_id ) REFERENCES plugin_materiels_entry( equipment_id ) ON DELETE RESTRICT ON UPDATE CASCADE
);
