<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Category;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$cat = new Category;

$csrf_key = 'cat_create';

if (f('save') && $form->check($csrf_key) && !$form->hasErrors())
{
	try
	{
		$cat->add([
			'name' => ucfirst(f('name'))
		]);
		Utils::redirect(PLUGIN_URL . 'categories/index.php');
	}
	catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'UNIQUE constraint failed'))
		{
			$form->addError('Cette catégorie existe déjà.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}
}

$list = $cat->listAll();

$tpl->assign(compact('csrf_key', 'list'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/index.tpl');
