<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Category;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$cat = new Category;

$c = $cat->get((int) qg('id'));

if (!$c) {
	throw new UserException("Cette catégorie n'existe pas.");
}

$csrf_key = 'edit_category_' . $c->id;

if (f('save') && $form->check($csrf_key) && !$form->hasErrors())
{
	try
	{
    $cat->edit($c->id, [
			'name' => ucfirst(f('name'))
		]);
		Utils::redirect(PLUGIN_URL . 'categories/index.php');
	}
  catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'UNIQUE constraint failed'))
		{
			$form->addError('Cette catégorie existe déjà.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}
}

$cancel_link = PLUGIN_URL . 'categories/index.php';

$tpl->assign(compact('c', 'csrf_key', 'cancel_link'));

$tpl->display(PLUGIN_ROOT . '/templates/categories/modifier_categorie.tpl');
