<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Location;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$loc = new Location;

$csrf_key = 'loc_create';

if (f('save') && $form->check($csrf_key) && !$form->hasErrors())
{
	try
	{
		$loc->add([
			'name' => ucfirst(f('name'))
		]);
		Utils::redirect(PLUGIN_URL . 'localisations/index.php');
	}
	catch (\RuntimeException $e)
	{
		if (strstr($e->getMessage(), 'UNIQUE constraint failed'))
		{
			$form->addError('Cette localisation existe déjà.');
		} else
		{
			$form->addError($e->getMessage());
		}
	}
}

$list = $loc->listAll();

$tpl->assign(compact('csrf_key', 'list'));

$tpl->display(PLUGIN_ROOT . '/templates/localisations/index.tpl');
